Best CFW for 4.5.0?

Discussion in '3DS - Flashcards & Custom Firmwares' started by DarkOrb, Mar 25, 2016.

  1. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    Hey,

    I found my old 3DS and my Gateway 3DS flashcard. I know that there was much progress in the Homebrew scene but my informations are not up to date. What should i do to get the best results with my 3DS. It´s most likely not a smart move to stick with my Gateway flash card. Should i upgrade or is there a benefit when i stay at 4.5.0?

    I want a CFW where i can play backups, homebrews, emulators and have custom themes with.

    Thanks in advance.
     


  2. TR_mahmutpek

    TR_mahmutpek GBAtemp Advanced Fan

    Member
    630
    134
    Jul 28, 2015
    I think you opened this threat at wrong there. And you should update to 9.2
     
  3. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    I know. I already requested a close.
     
  4. Minox

    Minox Spytech Employee

    Supervisor
    6,051
    2,774
    Aug 27, 2007
    Sweden
    Instead of closing it I moved it to the correct forum. Please go on :)
     
  5. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Use the latest rxtools nightly through the web browser to inject FBI to your health & safety app, launch Dev (Pasta) Mode [not RxMode, which will brick you if you update in it] (hold L as it's booting up Rxtools), and update your system to 9.2 using profi200's version of sysupdater. Be extra careful that you get the proper region/o3ds-n3ds firmware files, or you will brick.

    After that, follow the tutorials in the tutorial section for your new 9.2 system.
     
    Last edited by CrispyYoshi, Mar 25, 2016
    DarkOrb likes this.
  6. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    I´ve downloaded the newest nightly of rxtools but there is no "slot0x25KeyX.bin" and rxtools.dat
     
  7. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    The nightly no longer uses rxtools.dat, and has re-located the payload to SD:/rxtools/sys/code.bin. Instead of launch.rxtools.net, you should load up this website instead:

    https://dukesrg.github.io/?rxTools/sys/code.bin

    slot0x25KeyX.bin is a small file with copyrighted information, and you can find it easily on Google. For RxTools, it should go on the root of your SD card.
     
  8. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    Strange, now it says: "Failed to load NATIVE_FIRM: 4". I´ve put the firmware.bin which i generated with cdn_firm into the root of my SD card.
     
  9. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Your version of rxtools might be outdated: cdn_firm.py should generate a folder called "firm", which contains 3 .bin files.

    In any case, an outdated version should still be able to let you run Dev (Pasta) Mode. Either that "firm" folder or your firmware.bin should go in "SD:/rxtools/sys/" and not the root.

    EDIT: Oh yeah, if you can't get RxTools to inject FBI so you can install sysupdater, consider using decrypt9 to do it instead: https://gbatemp.net/threads/release-inject-any-app-into-health-safety-o3ds-n3ds-cfw-only.402236/
     
    Last edited by CrispyYoshi, Mar 25, 2016
  10. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    You are right, it was an outdated version. But with the newest version it won´t get past "Installation Data Suite - Please Stand By".
     
  11. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Try the version on the github here: https://github.com/roxas75/rxTools/releases

    I recommend beta 2, although nearly all of these should work for what you are trying to do.

    EDIT: I need to mention, by the way. Make sure you delete everything rxtools-related whenever you're trying out a different version (including updating it), or there will likely be file conflicts.
     
    Last edited by CrispyYoshi, Mar 25, 2016
  12. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    This is the version iam using.

    EDIT: It worked now.
     
    Last edited by DarkOrb, Mar 25, 2016
    CrispyYoshi likes this.
  13. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    It looks like there's a missing "data" folder it supposedly needs. I'll send you that in private, because I'm not sure if it contains anything I shouldn't be posting publicly. (If anyone lurking this needs it, feel free to PM me for it)

    EDIT: I found it in a reddit thread searching for "Installation Data Suite - Please Stand By" on google.

    This wasn't the problem.
     
    Last edited by CrispyYoshi, Mar 25, 2016
  14. evandixon

    evandixon PMD Researcher

    Member
    1,672
    794
    May 29, 2009
    United States
    I recommend that you upgrade to 9.2 with sysupdater (only in rxTools Dev Mode, or you will brick). You can then set up ctrbootmanager so that you can boot into rxTools or Gateway, depending on which you want to use at the time you boot.
     
    CrispyYoshi likes this.
  15. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    Now it boots into "RX-E 9.4.0-21E" which is, i think, the RXMode. But how can i launch the RXTools menu to inject FBI and launch dev mode? Whenever i press "L" when i start the rxtool it just starts the RXMode.
     
  16. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    You should hold L as the web browser is crashing and continue to hold it until you are in the rxtools menu.

    When you see RX-E, you know you're in EmuNAND (or patched sysnand), so your sysnand is still 4.5, and you should update it to 9.2 for guaranteed compatibility with the majority of software available.

    EDIT: Or maybe it might be R? I'm pretty sure it was L, though... They've switched it at some point, lol
     
    Last edited by CrispyYoshi, Mar 25, 2016
  17. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The
    Ok, now i want to inject FBI. So i go to Advanced Options -> Install FBI -> choose "sysNAND". Then it told me: "Completed! Region: Europe; Version of TMD: 2050". I´ve restarted my 3DS, removed the sd card, put it in my PC, go to "RXTools-3.0-Beta" -> "Tools" -> "fbi_injection" -> "eur" -> "v2050" and put the "fbi_inject.app" and "fbi_inject.tmd" into the root of my sd card. Now i start RxTools, go to Advanced Options -> Install FBI -> choose "sysNAND". After it´s completet i restart my 3DS start RxTools again and start the "Pasta Mode". Now it restarts my 3DS and i go to "Health and Safety" but it keep saying: "An error has occurred. Please save your data and any software currently in use and restart the system."
     
  18. CrispyYoshi

    CrispyYoshi GBAtemp Advanced Maniac

    Member
    1,516
    502
    Mar 20, 2010
    United States
    Hmm, that's definitely troublesome. I am actually not a big fan of rxtools FBI injection for its varying degrees of success.

    It's good you can get pasta mode running though, so we'll use that later.

    Try to inject FBI with the Decrypt9 method instead of rxtools: https://gbatemp.net/threads/release-inject-any-app-into-health-safety-o3ds-n3ds-cfw-only.402236/

    For decrypt9, you'll need to put its included Launcher.dat on root and load up this webpage: http://dukesrg.no-ip.org/3ds/go

    After you do that, then try to update to 9.2 with sysupdater.cia (by profi200 on the github) in rxtools pasta mode. Your 9.2 .cia update files should go in SD:/updates/ with nothing else in that folder but those updates
     
    Last edited by CrispyYoshi, Mar 25, 2016
  19. Hayleia

    Hayleia GBAtemp Maniac

    Member
    1,485
    1,135
    Feb 26, 2015
    France
    Can't you just use a 3ds file on your red cart (DevMenu, BBM, FBI, whatever) on sysNAND to install sysupdater instead of trying more complicated injection methods ?
     
  20. DarkOrb
    OP

    DarkOrb Advanced Member

    Newcomer
    98
    90
    Oct 11, 2013
    Gambia, The